[libnames, libpath] = libraryinfo("xcos_code_generatorlib");
path = libpath + "/../tests/unit_tests";

loadXcosLibs();
importXcosDiagram(path + "/cstblk.zcos");

// look for the superblock
function [scs_m_selected_path] = look_for(scs_m, name)
scs_m_selected_path = [];
    for i=1:length(scs_m.objs)
        if typeof(scs_m.objs(i)) == "Block" then
            if scs_m.objs(i).model.label == name then
                scs_m_selected_path = i;
                break;
            end
        end
    end
endfunction

// generate some code for each superblock on TMPDIR
name = "scalar_cstblk";
ok = xcg_codegenerator(scs_m, TMPDIR, look_for(scs_m, name));
exec(TMPDIR + filesep() + name + ".sci", 1);

name = "vector_cstblk";
ok = xcg_codegenerator(scs_m, TMPDIR, look_for(scs_m, name));
exec(TMPDIR + filesep() + name + ".sci", 1);

emx_codegen(TMPDIR + filesep() + name + "_scenario.sce");
