//Simulation
steptime = 0.01  // 1.0E-02
//constants
m2ft = 3.28084          //m to ft conversion
ms2ftmin = 196.8504    //m/s to ft/min conversion
ms2kts = 1.94384        //m/s to kts conversion
muA2dot = 1E6/75        //µA to dots conversion

//GPWS Inputs
RA1 = 457              //RADIO, HEIGHT
ADIRS1 =[0;0;0;457;-20.3;150]   //LAT, LONG, HDG, ALT, V/S, A/S
ADIRS1.lat = 1
ADIRS1.lon = 2
ADIRS1.hdg = 3
ADIRS1.alt = 4
ADIRS1.verspd = 5
ADIRS1.airspd = 6

// CONTEXT SAFE DUMP
// Mode I
 mode1_x1=[1000,5000,8000]          // ROD [ft/min]
 mode1_y1=[10,2450,2450]            // limit altitude [ft]
 mode1_x2=[1500,1600,7000,8000]     // ROD [ft/min]
 mode1_y2=[10,250,2450,2450]        // limit altitude [ft]
 mode1_satmax=[2500]
 mode1_satmin=[10];
