path = get_absolute_file_path("SampleCodeGen.dem.sce");

exec(path + filesep() + "SampleCodeGenInit.sce");
xcos(path + filesep() + "SampleCodeGenModel.zcos");

loadXcosLibs();
importXcosDiagram(path + filesep() + "SampleCodeGenModel.zcos");

// look for the superblock
function [scs_m_selected_path] = look_for(scs_m, name)
scs_m_selected_path = [];
    for i=1:length(scs_m.objs)
        if typeof(scs_m.objs(i)) == "Block" then
            if scs_m.objs(i).model.label == name then
                scs_m_selected_path = i;
                break;
            end
        end
    end
endfunction

name = "SampleCodeGen";
ok = xcg_codegenerator(scs_m, TMPDIR, look_for(scs_m, name));
scinotes(TMPDIR + filesep() + name + ".sci");
